#!/usr/bin/env bash
image_version=$version
# 删除镜像
docker rmi -f $(
  docker images | grep registry.cn-shanghai.aliyuncs.com/gps_card/near_card_attendance | awk '{print $3}'
)
# 构建telpo/mrp:$image_version镜像
docker build -f ./NearCardAttendance.TcpServer/Dockerfile . -t telpo/near_card_attendance:$image_version
#TODO:推送镜像到私有仓库
echo '=================开始推送镜像======================='
docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
docker tag telpo/near_card_attendance:$image_version registry.cn-shanghai.aliyuncs.com/gps_card/near_card_attendance:$image_version
docker push registry.cn-shanghai.aliyuncs.com/gps_card/near_card_attendance:$image_version
echo '=================推送镜像完成======================='
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images